package com.usky.transfer.service;

import com.usky.transfer.domain.*;
import com.usky.common.mybatis.core.CrudService;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2024-07-29
 */
public interface QueryInfluxdbDataService extends CrudService<QueryInfluxdbData> {

    Map<String,Object> sendDeviceDataToMQ(DeviceDataWriteVO writeVO);

    Map<String,Object> mqttDeviceData(MqttDeviceDataVO mqttDeviceDataVO);

    Map<String,Object> deviceControl(String productCode, String deviceUuid, String commandStr,Integer tenantId, Long userId, String userName);

}
