package com.usky.transfer.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = false)
public class DeviceDataInfoVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 属性值集合
     */
    private Map<String,Object> metrics;

    /**
     * 标签集合
     */
    private Map<String,Object> tags;

    /**
     * 设备编号
     */
    private String deviceUUId;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 数据上报时间
     */
    private long timestamp;
}
